import maya.mel
from mtoa.ui.ae.shaderTemplate import ShaderAETemplate

class AEapOrenNayerBSDFTemplate(ShaderAETemplate):
    def setup(self):
        self.addSwatch()
        self.beginScrollLayout()
        self.beginLayout("BSDF Attribues", collapse=False)
        self.addControl('weight', label='Weight')
        self.addControl('roughness', label='Roughness', annotation='Surface roughness, normalized in the [0, 1] range')
        self.addControl('transmission', label='Transmission', annotation='Use diffuse transmission instead of reflection')
        self.addControl('opacity', label='Opacity')
        self.endLayout()
        maya.mel.eval('AEdependNodeTemplate '+self.nodeName)
        self.addExtraControls()
        self.endScrollLayout()
        